## org.apache.poi.hslf.model
Class TextPainter.TextElement

    java.lang.Object
      org.apache.poi.hslf.model.TextPainter.TextElement

Enclosing class:
  TextPainter

    public static class TextPainter.TextElement

extends java.lang.Object

Field Summary
`int` `_align`
`java.text.AttributedString` `_bullet`
`int` `_bulletOffset`
`java.text.AttributedString` `_text`
`int` `_textOffset`
`float` `advance`
`float` `ascent`
`float` `descent`
`int` `textEndIndex`
`int` `textStartIndex`

Constructor Summary
`TextPainter.TextElement()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _text

    public java.text.AttributedString _text

### _textOffset

    public int _textOffset

### _bullet

    public java.text.AttributedString _bullet

### _bulletOffset

    public int _bulletOffset

### _align

    public int _align

### ascent

    public float ascent

### descent

    public float descent

### advance

    public float advance

### textStartIndex

    public int textStartIndex

### textEndIndex

    public int textEndIndex

Constructor Detail

### TextPainter.TextElement

    public TextPainter.TextElement()

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.